.text

.globl	PortInb
.globl	PortOutb
.globl	PortOutw

/
/ unsigned char PortInb(unsigned int port);
/
.align	4
PortInb:
	movl 4(%esp),%edx
	subl %eax,%eax
	inb  (%dx)
	ret
.type	PortInb,@function
.size	PortInb,.-PortInb

/
/     void PortOutb(unsigned char value, unsigned int port);
/
.align	4
PortOutb:
	movl 4(%esp),%eax
	movl 8(%esp),%edx
	outb (%dx)
	ret
.type	PortOutb,@function
.size	PortOutb,.-PortOutb

/
/     void PortOutw(unsigned short value, unsigned int port);
/
.align	4
PortOutw:
	movl 4(%esp),%eax
	movl 8(%esp),%edx
	outw (%dx)
	ret
.type	PortOutw,@function
.size	PortOutw,.-PortOutw


